Jump to content

ppc crosscompiler voor i386 tbv dreambox


Guest linuxman
 Share

Recommended Posts

Ik heb 'em ook weer draaiende na een nacht compileren <img src="/ubbthreads/images/graemlins/smile.gif" alt="" /> Sjemig, wat duurt dat lang... maar dan heb je ook alles.

'ns Kijken of ik samba er fatsoenlijk in kan zetten...

Link to post
Share on other sites


  • Replies 39
  • Created
  • Last Reply

Top Posters In This Topic

Ik ben benieuwd joh!

Ik heb net mun eerste hello world gecrosscompiled en de daaruit komende binary deed ut in elk geval op de dreambox <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

 

Maar ja nu eens iets lastigers proberen :P

 

Groetjes,

 

Ronald

Link to post
Share on other sites

Citaat:
Ik heb net mun eerste hello world gecrosscompiled en de daaruit komende binary deed ut in elk geval op de dreambox <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

Haha... jij ook al! Mijn hello world doet 't nu ook al <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />
Ik ben nu bezig om samba te compileren... hij komt al best ver...
Link to post
Share on other sites

Citaat:
Maar ja nu eens iets lastigers proberen :P

Als we nou een "deal" kunnen sluiten en jij gaat wat anders bouwen dan samba... anders doen we wel heel veel dubbel werk <img src="/ubbthreads/images/graemlins/loldev.gif" alt="" />
Link to post
Share on other sites

Haha wees maar niet bang, ik heb persoonlijk geen interesse in samba. Ik heb een WLAN verbinding (11 Mb/s) van dreambox naar LAN en dan is SAMBA vanwege de grote overhead geen goed plan. (ftp is 2x zo snel).

 

Ik ben bezig met less en midnigth commander. Zullen weinigen in geinteresseerd zijn maar ik miste ze gelijk op de dreambox :P

 

Morgen weer verder, straks visite :P

 

Groetjes,

 

Ronald

Link to post
Share on other sites

Ronald,

 

Heb jij geen problemen met glibc? Op de dreambox zelf staat versie 2.2.5 maar in de bouwomgeving (in dbox2/cdkroot/lib) heb ik 2.3.2 staan. Nu bouwt samba eindelijk, maar wordt-ie gelinkt tegen 2.3.2. Dus krijg ik zoiets als:

/lib/libc.so.6: version `GLIBC_2.3' not found (required by smbd) <img src="/ubbthreads/images/graemlins/frown.gif" alt="" />

Ik heb niet zo'n zin om glibc 2.3.2 op de dreambox te zetten... straks valt alles om en valt er niks meer te zien <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

 

Groeten,

David

Link to post
Share on other sites

Hoi David,

 

Haha je bent verder als ik in elk geval. Ik worstel nog om iets meer dan hello world gecompileerd te krijgen. In elk geval ben ik het met je eens dat j niet zomaar je glibc moet vervangen want dan kon je wel eens hele vervelende dingen gaan krijgen :P

 

Kun je glibc niet statisch meecompileren of kan dat alleen met alle andere libraries?

 

Mocht ik eerder dan jou een oplossing weten dan hoor je het hier!

 

Groetjes,

 

Ronald

Link to post
Share on other sites

Tja, ik ben hier ook maar aan 't toveren <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

Maar ik heb denk ik een oplossing gevonden van een of andere Duitser. Ben nu aan 't bouwen, dus ik weet nog niet hoe 't afloopt. 't Idee is:

In rules-make en rules-archive staan wat regels waar glibc-2.3.2 en glibc-linuxthreads-2.3.2 in staat. Dat moet dan 2.2.5 worden. Met "make glibc" gaat-ie dan die versie van GNU downloaden en bouwen. Nu alleen nog een patch-file maken voor 2.2.5 want die 2.3.2 schijnt ook gepatched te zijn. Dat ga ik maar eens proberen <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

Link to post
Share on other sites

  • 3 weeks later...

Hoi Daf2000, is dat nog gelukt trouwens?

Ik heb nog een vraag. De laatste tijd weinig tijd gehad om te hobbien, maar ik probeer nog steeds de tuxbox-cvs code te (cross) compilen op mijn pc.

 

Met mijn debian installatie gaat dat niet lukken zonder dat ik andere dingen weer "sloop" (qua versies van libs enzo).

 

Nu had ik geloof ik iets gelezen dat met mandrake de cvs code wel out of de box compileert? Kan iemand dat bevestigen en zo ja is dat dan de nieuwste mandrake versie?

 

Anders ga ik van het weekend namelijk een mandrake linux installeren in een virtuele machine (vmware) en het zo eens proberen.

 

Die crosstools kreeg ik dus wel gecompileerd maar ja daar kan je bijna geen moer mee gecompileerd krijgen :P

 

Groetjes,

 

Ronald

Link to post
Share on other sites

Als je Mandrake 10 Official pakt dan hoef je aan je linux omgeving niks aan te passen! Gebruik het hier zelf ook

 

Peter

Link to post
Share on other sites

Kijk dat wou ik maar even horen :-)

 

Bedankt Peter!

 

Enne mappen wasda??? Ik ken wel directories ;-)

 

Groetjes,

 

Ronald

Link to post
Share on other sites

Ik ben mandrake al aan het downloaden <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

Klopt het dat ik alleen de 1e cd nodig heb?

 

Groetjes,

 

Ronald

Link to post
Share on other sites

Als je het over mandrake 10 hebt dan zijn het 3 cd's.

Voor het installeren heb je ze alle 3 nodig.

 

 

gr,

Ruud

Link to post
Share on other sites

Hoi Linuxman,

 

't Werkt okee hier. Ik heb Fedora Core 1 onder vmware draaien en hoefde alleen van iets wat ik weer vergeten ben een versie downloaden. Fedora Core 2 werkte helemaal probleemloos.

't Probleem waar ik wel tegenaan loop, is dat de configure files van externe software niet altijd foolproof zijn. Dus ik moet een en ander wel patchen vooraf. Verder is 't me ook gelukt om glibc 2.2 te compileren en alles hieraan te linken. "nmbd" van de laatste samba draait hier al, "smbd" niet <img src="/ubbthreads/images/graemlins/frown.gif" alt="" />

Dus zelfs na het compileren, moet je nog vanalles werkend krijgen.

 

Groeten,

David

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

Lees alvorens je verder gaat onze Terms of Use en Privacy Policy. We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.